- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/provisionTestNetwork#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/provisionTestNetwork#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/provisionTestNetwork#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/provisionTestNetwork#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks/provisionTestNetwork#try-it)

Provisions a test network associated with the current user. Only one test network can be provisioned per user.

Before the test network can be used, you must complete setup in the Ad Manager UI. If the test network's owner is a service account, you must add a non-service account user by calling UserService.CreateUser.

Test networks are limited in the following ways:

- Test networks have a maximum of 10,000 objects per entity type.
- Test networks cannot serve ads.
- Reports on serving data have zero rows.
- Forecast service results contain mock data.
- Test networks do not have Ad Manager 360 or premium features enabled.

### HTTP request

`POST https://admanager.googleapis.com/v1/networks:provisionTestNetwork`

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks#Network`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).